## ros-kinetic-seed-r7-navigation 0.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(seed_r7_navigation)

find_package(catkin REQUIRED)

catkin_package(
  CATKIN_DEPENDS
  rospy
)


catkin_python_setup()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/roslaunch_test_navigation.xml)
endif()

install(
    DIRECTORY config launch maps
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

catkin_install_python(PROGRAMS scripts/dummy_scan.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-kinetic-seed-r7-navigation (0.3.4-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- hi.kondo <hi.kondo@thk.co.jp>  Mon, 16 Dec 2019 06:31:42 -0000

ros-kinetic-seed-r7-navigation (0.3.3-1xenial) xenial; urgency=high

  * Merge branch 'master' into add_test

 -- hi.kondo <hi.kondo@thk.co.jp>  Tue, 03 Dec 2019 15:00:00 -0000

ros-kinetic-seed-r7-navigation (0.3.2-1xenial) xenial; urgency=high

  * Merge pull request #53 <https://github.com/seed-solutions/seed_r7_ros_pkg/issues/53> from hi-kondo/new-master
    added typef to CMakeLists of seed_r7_interface
  * added install tag to seed_r7_navigation
  * Merge branch 'new-master' of https://github.com/hi-kondo/seed_r7_ros_pkg into new-master
  * depends bug fixed
  * Merge branch 'master' into new-master
  * Contributors: hi-kondo

 -- hi.kondo <hi.kondo@thk.co.jp>  Sun, 17 Nov 2019 15:00:00 -0000

ros-kinetic-seed-r7-navigation (0.0.6-1xenial) xenial; urgency=high

  * update CHANGELOG.rst
  * Merge pull request #31 <https://github.com/hi-kondo/seed_r7_ros_pkg/issues/31> from hi-kondo/master
    update_navigation
  * bug fixed navigation
  * bug fix
  * rename from blank.yaml to dummy.yaml
  * update wheel_bringup.launch paramter
  * delte remap of cmd_vel
  * update_navigation
  * Merge pull request #28 <https://github.com/hi-kondo/seed_r7_ros_pkg/issues/28> from hi-kondo/development
    minor update
  * update
  * Merge pull request #24 <https://github.com/hi-kondo/seed_r7_ros_pkg/issues/24> from hi-kondo/development
    fixed CMakeLists and launch_test added
  * Merge pull request #22 <https://github.com/hi-kondo/seed_r7_ros_pkg/issues/22> from hi-kondo/development
    directory name changed
  * added launch_test
  * directory name changed
  * Contributors: hi-kondo, shiigi
  * Merge pull request #31 <https://github.com/hi-kondo/seed_r7_ros_pkg/issues/31> from hi-kondo/master
    update_navigation
  * bug fixed navigation
  * rename from blank.yaml to dummy.yaml
  * update wheel_bringup.launch paramter
  * delte remap of cmd_vel
  * update_navigation
  * Merge pull request #28 <https://github.com/hi-kondo/seed_r7_ros_pkg/issues/28> from hi-kondo/development
    minor update
  * update
  * Merge pull request #24 <https://github.com/hi-kondo/seed_r7_ros_pkg/issues/24> from hi-kondo/development
    fixed CMakeLists and launch_test added
  * Merge pull request #22 <https://github.com/hi-kondo/seed_r7_ros_pkg/issues/22> from hi-kondo/development
    directory name changed
  * added launch_test
  * directory name changed
  * Contributors: hi-kondo, shiigi

 -- hi.kondo <hi.kondo@thk.co.jp>  Wed, 04 Sep 2019 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-seed-r7-navigation
Section: misc
Priority: optional
Maintainer: hi.kondo <hi.kondo@thk.co.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-amcl, ros-kinetic-catkin, ros-kinetic-gmapping, ros-kinetic-joy, ros-kinetic-map-server, ros-kinetic-move-base, ros-kinetic-move-base-msgs, ros-kinetic-nav-msgs, ros-kinetic-rospy, ros-kinetic-teb-local-planner, ros-kinetic-teleop-twist-joy, ros-kinetic-urg-node
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-seed-r7-navigation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-amcl, ros-kinetic-gmapping, ros-kinetic-joy, ros-kinetic-map-server, ros-kinetic-move-base, ros-kinetic-move-base-msgs, ros-kinetic-nav-msgs, ros-kinetic-rospy, ros-kinetic-teb-local-planner, ros-kinetic-teleop-twist-joy, ros-kinetic-urg-node
Description: The seed_r7_navigation package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-seed-r7-navigation//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
